OaIdl.SYSKIND (JNA API)

com.sun.jna.platform.win32

## Class OaIdl.SYSKIND

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.OaIdl.SYSKIND

- Direct Known Subclasses:
    OaIdl.SYSKIND.ByReference
  Enclosing interface:
    OaIdl

      @Structure.FieldOrder(value="value")
      public static class OaIdl.SYSKIND
      extends Structure

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OaIdl.SYSKIND.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SYS_MAC`
    `static int` | `SYS_WIN16`
    `static int` | `SYS_WIN32`
    `static int` | `SYS_WIN64`
    `int` | `value`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SYSKIND()`
    `SYSKIND(int value)`
    `SYSKIND(Pointer pointer)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### value

          public int value

    - #### SYS_WIN16

          public static final int SYS_WIN16

      See Also:
        Constant Field Values

    - #### SYS_WIN32

          public static final int SYS_WIN32

      See Also:
        Constant Field Values

    - #### SYS_MAC

          public static final int SYS_MAC

      See Also:
        Constant Field Values

    - #### SYS_WIN64

          public static final int SYS_WIN64

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SYSKIND

          public SYSKIND()

    - #### SYSKIND

          public SYSKIND(int value)

    - #### SYSKIND

          public SYSKIND(Pointer pointer)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.